extends Node

onready var CARDS = {
	"shield-broken":
	Card.new("Broken Shield",preload("res://Sprites/armas/escudo_roto.png") as Texture,"Increases attack damage",0,2,[2,1,1],[1,1,0], "Shield"),
	"sword-broken":
	Card.new("Broken Sword",preload("res://Sprites/armas/espada_rota.png") as Texture,"A broken sword",1,0,[1,0,2],[1,0,1], "Sword"),
	"sword":
	Card.new("Sword",preload("res://Sprites/armas/espada.png") as Texture,"Increases attack damage",2,0,[0,0,0],[1,0,2], "Sword"),
	"shield":
	Card.new("Shield",preload("res://Sprites/armas/escudo.png") as Texture,"Increases attack damage",0,2,[0,0,0],[2,1,1], "Shield"),
	
}

func get_random_card_data():
	var random_index = int(rand_range(0,CARDS.size()))
	var key = CARDS.keys()[random_index]
	return key
func get_random_broken_card_data():
	var random_index = int(rand_range(0,CARDS.size()-2))
	var key = CARDS.keys()[random_index]
	return key
class Card:
	var title
	var image
	var description
	var attack
	var defense
	var repair_resources
	var dismantle_resources
	var type
	func _init(_title, _image, _description, _attack, _defense, _repair : Array, _dismantle : Array, _type : String):
		self.title = _title
		self.image = _image
		self.description = _description
		self.attack = _attack
		self.defense = _defense
		self.repair_resources = _repair
		self.dismantle_resources = _dismantle
		self.type = _type
