extends Node

onready var SFXs = {
	"error": preload("res://Audio/error.ogg")
}
func _ready():
	for i in range(10):
		var instance = AudioStreamPlayer.new()
		add_child(instance)
		
func get_available_audio_stream():
	for stream in get_children():
		if !stream.playing:
			return stream
func play_sfx(key):
	var stream = get_available_audio_stream()
	if stream != null:
		stream.stream = SFXs[key]
		stream.stop()
		stream.play()
